$(".banner-slider").slick({
    speed: 1000,
    swipe: true,
    arrows: false,
  });

  $.fn.serializeObject = function () {
    var o = {};
    var a = this.serializeArray();
    o["id"] = 0;
    o["time_stamp"] = "";
    $.each(a, function () {
      if (o[this.name]) {
        if (!o[this.name].push) {
          o[this.name] = [o[this.name]];
        }
        o[this.name].push(this.value || '');
      } else {
        o[this.name] = this.value || '';
      }
    });
  
    return o;
  };
// email
  $(document).ready(function () {
  
    //E-MAIL格式檢查

    $("body").on("change", "#email", function () {

      $Emailchecking = IsEmail($("#email").val());


      if ($Emailchecking == false) {

        alert("請填寫正確的E-MAIL格式");

        // $("#email").blur(); //離開焦點

      }

    })

    function IsEmail(email) {

      var regex = /^([a-zA-Z0-9_\.\-\+])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;

      if (!regex.test(email)) {

        return false;

      } else {

        return true;

      }

    }

  });
  // phone
  $(document).ready(function () {

    //phone格式檢查

    $("body").on("change", "#phone", function () {

      $Phonechecking = IsPhone($("#phone").val());


      if ($Phonechecking == false) {

        alert("請填寫正確的手機格式");

        // $("#email").blur(); //離開焦點

      }

    })

    function IsPhone(phone) {

      var regex = /^[0-9]+$/;

      if (!regex.test(phone)) {

        return false;

      } else {

        return true;

      }

    }

  });
 

  $(".contact-form1").submit(function (e) {
    /*	var formRef = $('#form1').serializeArray();
      var jsonString = JSON.stringify(formRef);*/
    var jsonInfo = $('.contact-form1').serializeObject();
    var jsonString = JSON.stringify(jsonInfo);
   
  
    $.ajax({
      type: 'POST',
      url: 'https://go.hhh.com.tw:8001/deco_request_detail',
      data: jsonString,
      dataType: 'json',
      success: function (data) {
        console.log('送出成功: ' + data);
        if (data == 0) {
          alert("送出成功");
        } else if (data == 1) {
          alert("此email已填過表單");
        } else if (data == 2) {
          alert("此phone已填過表單");
        } else if (data == 3) {
          alert("此email、phone已填過表單");
        }
      },
      beforeSend: function () {
        console.log('beforeSend');
      },
      complete: function () {
        console.log('complete');
      },
      error: function (jqXHR, textStatus, errorThrown) {
        console.log(JSON.stringify(jqXHR));
        console.log("AJAX errr: " + textStatus + ' : ' + errorThrown);
        console.log('送出失敗: ' + jqXHR.responseText);
      }
    });
    return false;
  });

  $("*").each(function (index, element) {
    // 此元素被點選後執行
    $(this).click(function (e) {
      // 取得被點選元素的屬性：data-gt-target
      var target = $(this).attr("data-gt-target");
      var duration = $(this).attr("data-gt-duration");
      var offset = $(this).attr("data-gt-offset");
  
      // JS 語法：判斷式
      // if (條件) {程式區塊}
      // 當條件成立，會執行程式區塊
  
      // 如果 目標有資料 才會執行 { } 內的程式
      // 避免出現 undefine (未定義 - 不存在的資料)
      if (target) {
        //console.log("目標：" + target);
        //console.log("時間：" + duration);
        //console.log("位移：" + offset);
  
        // 上方位置 = 目標區塊.位移().上方位置
        var top = $(target).offset().top;
        //console.log("要前往元素的上方位置：" + top);
  
        // 網頁元素.停止().動畫({ 上方捲動：指定元素 - 位移}，持續時間)
        // parseInt() 將文字轉為數字
  
        $("html").stop().animate({
          scrollTop: top - offset
        }, parseInt(duration));
      }
    });
  });
  
  // 避免動畫與使用者滾輪衝突
  // html 在滾動滾輪時 停止 html 所有效果
  $("html").on("mousewheel", function () {
    $("html").stop();
  });

  $(document).ready(function () {
    $("#date").datepicker();
  });
  
  